=== debian/changelog ===
ros-one-pilz-industrial-motion-planner (1.1.16-49jammy.20251023.1727) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Thu, 23 Oct 2025 17:27:39 +0000

ros-one-pilz-industrial-motion-planner (1.1.16-0jammy) jammy; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Mon, 07 Oct 2024 00:00:00 -0000

ros-one-pilz-industrial-motion-planner (1.1.15-0jammy) jammy; urgency=high

  * Fix identical subsequent time stamps generated by Pilz planner (#3630 <https://github.com/ros-planning/moveit/issues/3630>)
  * Fix PILZ/LIN segfault (#3624 <https://github.com/ros-planning/moveit/issues/3624>)
  * Contributors: Robert Haschke

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Mon, 09 Sep 2024 00:00:00 -0000

ros-one-pilz-industrial-motion-planner (1.1.14-0jammy) jammy; urgency=high

  * Don't copy attached collision objects in CommandListManager::setStartState (#3590 <https://github.com/ros-planning/moveit/issues/3590>)
  * [ROS-O] Fix Pilz unit tests (#3561 <https://github.com/ros-planning/moveit/issues/3561>)
  * Add Pilz unit tests, defining goal poses w.r.t. frame_id != planning frame (#3525 <https://github.com/ros-planning/moveit/issues/3525>)
  * Fix Pilz planner: consider link_name's offset during IK computation (#3523 <https://github.com/ros-planning/moveit/issues/3523>)
  * Pilz: Tranform goal pose and center point w.r.t. planning frame (#3522 <https://github.com/ros-planning/moveit/issues/3522>)
  * Silent error msg: Found empty JointState message
  * Replace Eigen::Affine3D -> Eigen::Isometry3D
  * Fix Pilz planners to consider and plan Cartesian motions w.r.t. subframes (#3519 <https://github.com/ros-planning/moveit/issues/3519>)
  * Constrain orocos_kdl to ROS Melodic
  * Contributors: Captain Yoshi, Robert Haschke, Tom Noble

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Mon, 27 May 2024 00:00:00 -0000

ros-one-pilz-industrial-motion-planner (1.1.13-0jammy) jammy; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Fri, 28 Jul 2023 00:00:00 -0000

ros-one-pilz-industrial-motion-planner (1.1.12-0jammy) jammy; urgency=high

  * Fix (some) doxygen warnings (#3315 <https://github.com/ros-planning/moveit/issues/3315>)
  * Drop lib/ prefix from plugin paths (#3305 <https://github.com/ros-planning/moveit/issues/3305>)
  * Contributors: Jochen Sprickerhof, Robert Haschke

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Sat, 13 May 2023 00:00:00 -0000

ros-one-pilz-industrial-motion-planner (1.1.11-0jammy) jammy; urgency=high

  * Merge fixes+improvements to ``PlanningScene`` editing in rviz: #3263 <https://github.com/ros-planning/moveit/issues/3263>, #3264 <https://github.com/ros-planning/moveit/issues/3264>, #3296 <https://github.com/ros-planning/moveit/issues/3296>
  * Contributors: Robert Haschke

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Wed, 21 Dec 2022 00:00:00 -0000

ros-one-pilz-industrial-motion-planner (1.1.10-0jammy) jammy; urgency=high

  * Add missing header for std::unique_ptr (#3180 <https://github.com/ros-planning/moveit/issues/3180>)
  * Switch to hpp headers of pluginlib
  * Replace bind() with lambdas (#3106 <https://github.com/ros-planning/moveit/issues/3106>)
  * Contributors: Jochen Sprickerhof, Michael Görner

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Tue, 13 Sep 2022 00:00:00 -0000

ros-one-pilz-industrial-motion-planner (1.1.9-0jammy) jammy; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Sun, 06 Mar 2022 00:00:00 -0000

ros-one-pilz-industrial-motion-planner (1.1.8-0jammy) jammy; urgency=high

  * Avoid downgrading default C++ standard (#3043 <https://github.com/ros-planning/moveit/issues/3043>)
  * Resolve ambiguous function specification (#3040 <https://github.com/ros-planning/moveit/issues/3040>)
  * Contributors: Jochen Sprickerhof

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Sun, 30 Jan 2022 00:00:00 -0000

ros-one-pilz-industrial-motion-planner (1.1.7-0jammy) jammy; urgency=high

  * Pilz planner: improve reporting of invalid start joints (#3000 <https://github.com/ros-planning/moveit/issues/3000>)
  * Switch to ``std::bind`` (#2967 <https://github.com/ros-planning/moveit/issues/2967>)
  * Contributors: Jochen Sprickerhof, Robert Haschke, v4hn

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Fri, 31 Dec 2021 00:00:00 -0000

ros-one-pilz-industrial-motion-planner (1.1.6-0jammy) jammy; urgency=high

  * Fix calculation of subframe offset (#2890 <https://github.com/ros-planning/moveit/issues/2890>)
  * Remove unused moveit_planning_execution.launch
  * Use test_environment.launch in unittests (#2949 <https://github.com/ros-planning/moveit/issues/2949>)
  * Rename launch argument execution_type -> fake_execution_type
  * Improve error messages (#2940 <https://github.com/ros-planning/moveit/issues/2940>)
    * Remove deprecated xacro --inorder
    * Don't complain about missing limits for irrelevant JMGs
    * Avoid duplicate error messages
    * Downgrade ERROR to WARN when checking joint limits, report affected joint name
    * Quote (possibly empty) planner id
  * Consider attached bodies for planning (#2773 <https://github.com/ros-planning/moveit/issues/2773>, #2824 <https://github.com/ros-planning/moveit/issues/2824>, #2878 <https://github.com/ros-planning/moveit/issues/2878>)
  * Fix collision detection: consider current PlanningScene (#2803 <https://github.com/ros-planning/moveit/issues/2803>)
  * Add planning_pipeline_id to MotionSequence action + service (#2755 <https://github.com/ros-planning/moveit/issues/2755>)
  * clang-tidy: modernize-make-shared, modernize-make-unique (#2762 <https://github.com/ros-planning/moveit/issues/2762>)
  * Contributors: Felix von Drigalski, Leroy Rügemer, Michael Görner, Robert Haschke, Tom Noble, aa-tom, cambel, pvanlaar

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Sat, 06 Nov 2021 00:00:00 -0000

ros-one-pilz-industrial-motion-planner (1.1.5-0jammy) jammy; urgency=high


