=== debian/control ===
Source: ros-one-pilz-industrial-motion-planner
Section: misc
Priority: optional
Maintainer: Alexander Gutenkunst <a.gutenkunst@pilz.de>
Build-Depends: debhelper (>= 9.0.0), liborocos-kdl-dev, ros-one-catkin, ros-one-joint-limits-interface, ros-one-moveit-core, ros-one-moveit-msgs, ros-one-moveit-ros-move-group, ros-one-moveit-ros-planning, ros-one-moveit-ros-planning-interface, ros-one-pluginlib, ros-one-roscpp, ros-one-tf2, ros-one-tf2-eigen, ros-one-tf2-geometry-msgs, ros-one-tf2-kdl, ros-one-tf2-ros
Homepage: http://moveit.ros.org
Standards-Version: 3.9.2

Package: ros-one-pilz-industrial-motion-planner
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, liborocos-kdl-dev, ros-one-joint-limits-interface, ros-one-moveit-core, ros-one-moveit-msgs, ros-one-moveit-ros-move-group, ros-one-moveit-ros-planning, ros-one-moveit-ros-planning-interface, ros-one-pluginlib, ros-one-roscpp, ros-one-tf2, ros-one-tf2-eigen, ros-one-tf2-geometry-msgs, ros-one-tf2-kdl, ros-one-tf2-ros
Description: MoveIt plugin to generate industrial trajectories PTP, LIN, CIRC and sequences thereof.
