## ros-one-pilz-industrial-motion-planner 1.1.16-49jammy.20251208.1024

=== debian/changelog ===
ros-one-pilz-industrial-motion-planner (1.1.16-49jammy.20251208.1024) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Mon, 08 Dec 2025 10:24:53 +0000
