## ros-one-pilz-industrial-motion-planner 1.1.16-50jammy.20260128.2336

=== debian/changelog ===
ros-one-pilz-industrial-motion-planner (1.1.16-50jammy.20260128.2336) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Wed, 28 Jan 2026 23:36:15 +0000
