## ros-one-pilz-industrial-motion-planner 1.1.16-51jammy.20260301.2336

=== debian/changelog ===
ros-one-pilz-industrial-motion-planner (1.1.16-51jammy.20260301.2336) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Sun, 01 Mar 2026 23:36:51 +0000
